{% extends "layout.html" %}
{% block title %}Alerts{% endblock %}
{% block section %}Alerts{% endblock %}
{% block head %}
{{ super() }}
    <link rel="stylesheet" href="/static/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css">
{% endblock %}
{% block content %}
  <div class="box">
    <div class="box-header with-border">
      <h3 class="box-title">Alerts History</h3>
    </div>
    <div class="box-body">
        <table id="myTable" class="table table-striped table-hover table-responsive">
          <thead>
            <tr>
                <th>Cretead On</th>
                <th>Sensor</th>
                <th>Alert</th>
                <th>Last</th>
                <th>Status</th>
                <th>Source</th>
                <th>Last Check</th>
                <th>Closed By</th>
                <th>Closed On</th>
            </tr>
          </thead>
          <tbody>
            {% for item in alerts %}
              <tr data-record-id="{{ item.id }}">
                <td>{{ moment(item.timestamp).format('LLL') }}</td>
                <td>{{ item.sensor }}</td>
                <td>{{ item.metric }} {{ item.operator }} {{ item.threshold }}</td>
                <td>{{ item.reading }}</td>
                <td>{{ item.status }}</td>
                <td>{{ item.check_id }}</td>
                <td>{{ moment(item.last_check).format('LLL') }}</td>
                <td>{{ item.closed_by }}</td>
                <td>{{ moment(item.closed_on).format('LLL') }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
    </div>
    <!-- /.box-body -->
    <!-- /.box-footer-->
  </div>
{% endblock %}
{% block jquery %}
{{ super() }}
<script src="/static/bower_components/datatables.net/js/jquery.dataTables.min.js"></script>
<script src="/static/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
<script>
    $(document).ready(function(){
        $('#myTable').DataTable( {
        "iDisplayLength": 20,
        "aLengthMenu": [[20, 30, 40, 50, -1], [20, 30, 40, 50, "All"]],
        "deferRender": true
        });
    });
</script>

{% endblock %}